Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
agora::rtc::IH265Transcoder Class Referenceabstract

`#include <IAgoraH265Transcoder.h>`

Inherits agora::RefCountInterface.

## Public Member Functions
virtual int | enableTranscode (const char *token, const char *channel, uid_t uid)=0
virtual int | queryChannel (const char *token, const char *channel, uid_t uid)=0
virtual int | triggerTranscode (const char *token, const char *channel, uid_t uid)=0
virtual int | registerTranscoderObserver (IH265TranscoderObserver *observer)=0
virtual int | unregisterTranscoderObserver (IH265TranscoderObserver *observer)=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Protected Member Functions
virtual | ~IH265Transcoder ()
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Detailed Description

The IH265Transcoder class

## Constructor & Destructor Documentation

## ◆ ~IH265Transcoder()

virtual agora::rtc::IH265Transcoder::~IH265Transcoder | ( |  | ) |
| inlineprotectedvirtual

## Member Function Documentation

## ◆ enableTranscode()

virtual int agora::rtc::IH265Transcoder::enableTranscode | ( | const char * | token,
|  | const char * | channel,
|  | uid_t | uid )
| pure virtual

Enable transcoding for a channel.

Parameters

  token | The token for authentication.
  channel | The unique channel name for the AgoraRTC session in the string format.
  uid | User ID.

Returns
  - 0: Success.
  - <0: Failure.

## ◆ queryChannel()

virtual int agora::rtc::IH265Transcoder::queryChannel | ( | const char * | token,
|  | const char * | channel,
|  | uid_t | uid )
| pure virtual

Query the transcoded channel of a channel.

Parameters

  token | The token for authentication.
  channel | The unique channel name for the AgoraRTC session in the string format.
  uid | User ID.

Returns
  - 0: Success.
  - <0: Failure.

## ◆ triggerTranscode()

virtual int agora::rtc::IH265Transcoder::triggerTranscode | ( | const char * | token,
|  | const char * | channel,
|  | uid_t | uid )
| pure virtual

Trigger channel transcoding.

Parameters

  token | The token for authentication.
  channel | The unique channel name for the AgoraRTC session in the string format.
  uid | User ID.

Returns
  - 0: Success.
  - <0: Failure.

## ◆ registerTranscoderObserver()

virtual int agora::rtc::IH265Transcoder::registerTranscoderObserver | ( | IH265TranscoderObserver * | observer | ) |
| pure virtual

Register a IH265TranscoderObserver object.

Parameters

  observer | IH265TranscoderObserver.

Returns
  - 0: Success.
  - <0: Failure.

## ◆ unregisterTranscoderObserver()

virtual int agora::rtc::IH265Transcoder::unregisterTranscoderObserver | ( | IH265TranscoderObserver * | observer | ) |
| pure virtual

Unregister a IH265TranscoderObserver object.

Parameters

  observer | IH265TranscoderObserver.

Returns
  - 0: Success.
  - <0: Failure.